## openscap 1.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

# Inspired and referenced from https://blog.kitware.com/cmake-and-the-default-build-type
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
	message(STATUS "Setting build type to 'Release' as none was specified.")
	set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)
	set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release"
		"MinSizeRel" "RelWithDebInfo")
endif()

project("openscap")
set(OPENSCAP_VERSION_MAJOR "1")
set(OPENSCAP_VERSION_MINOR "3")
set(OPENSCAP_VERSION_PATCH "4")

if(OPENSCAP_VERSION_SUFFIX)
	set(OPENSCAP_VERSION "${OPENSCAP_VERSION_MAJOR}.${OPENSCAP_VERSION_MINOR}.${OPENSCAP_VERSION_PATCH}_${OPENSCAP_VERSION_SUFFIX}")
else()
	set(OPENSCAP_VERSION "${OPENSCAP_VERSION_MAJOR}.${OPENSCAP_VERSION_MINOR}.${OPENSCAP_VERSION_PATCH}")
endif()

# libtool versioning
# See http://sources.redhat.com/autobook/autobook/autobook_91.html#SEC91 for details

## increment if the interface has additions, changes, removals.
set(LT_CURRENT 28)

## increment any time the source changes; set 0 to if you increment CURRENT
set(LT_REVISION 0)

## increment if any interfaces have been added; set to 0
## if any interfaces have been changed or removed. removal has
## precedence over adding, so set to 0 if both happened.
set(LT_AGE 3)

math(EXPR LT_CURRENT_MINUS_AGE "${LT_CURRENT} - ${LT_AGE}")

set(SONAME ${LT_CURRENT_MINUS_AGE}.${LT_AGE}.${LT_REVISION})
set(SOVERSION ${LT_CURRENT_MINUS_AGE})

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")

message(STATUS "OpenSCAP ${OPENSCAP_VERSION}")
message(STATUS "(see ${CMAKE_SOURCE_DIR}/docs/developer/developer.adoc for build instructions)")
message(STATUS " ")

# Strictly speaking in-source will work but will be very messy, let's
# discourage our users from using them
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
	message(FATAL_ERROR "In-source builds are not supported! Please use out of source builds:\n"
		"$ cd openscap\n"
		"$ rm CMakeCache.txt\n"
		"$ cd build\n"
		"$ cmake ../\n"
		"$ make -j4"
		)
endif()

# In Microsoft Visual Studio, store built binaries to a single directory.
# We need to build all the binaries in a single directory on Windows, because
# vcpkg tool fails to fetch dependent DLLs (libxml, libcurl, etc.) if
# oscap.exe is build to a different directory than openscap.dll.
# See the discussion in https://github.com/Microsoft/vcpkg/issues/1002
if(MSVC)
	set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
	set(CMAKE_PDB_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
	set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
	set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
endif()

# ---------- INCLUDES CMAKE MODULES

include(GNUInstallDirs)
include(FindPkgConfig)
include(CheckLibraryExists)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckCSourceCompiles)
include(CMakeDependentOption)

# ---------- DEPENDENCIES

find_package(ACL)
if(ACL_FOUND)
	check_library_exists("${ACL_LIBRARY}" acl_extended_file "" HAVE_ACL_EXTENDED_FILE)
	check_include_file(acl/libacl.h HAVE_ACL_LIBACL_H)
	check_include_file(sys/acl.h HAVE_SYS_ACL_H)
endif()

find_package(AptPkg)

find_package(Blkid)
if(BLKID_FOUND)
	check_library_exists("${BLKID_LIBRARY}" blkid_get_tag_value "" HAVE_BLKID_GET_TAG_VALUE)
endif()

find_package(Cap)
if(CAP_FOUND)
	check_library_exists("${CAP_LIBRARIES}" cap_get_pid "" HAVE_CAP_GET_PID)
endif()

find_package(CURL)
find_package(DBus)
find_package(Doxygen)
find_package(GConf)
find_package(Ldap)
find_package(OpenDbx)
find_package(PCRE REQUIRED)
find_package(PerlLibs)
find_package(Popt)

find_package(Procps)
if(PROCPS_FOUND)
	check_library_exists("${PROCPS_LIBRARY}" dev_to_tty "" HAVE_DEV_TO_TTY)
	check_include_file(proc/devname.h HAVE_PROC_DEVNAME_H)
endif()

# According to CMake documentation:
# https://cmake.org/cmake/help/latest/module/FindPythonInterp.html
# If calling both find_package(PythonInterp) and find_package(PythonLibs),
# call find_package(PythonInterp) first to get the currently active Python
# version by default with a consistent version of PYTHON_LIBRARIES.
find_package(PythonInterp 3)
find_package(PythonLibs 3)

set(PREFERRED_PYTHON_PATH "${PYTHON_EXECUTABLE}")
set(PYTHON3_PATH "${PYTHON_EXECUTABLE}")

find_package(RPM)
if(RPM_FOUND)
	check_library_exists("${RPM_LIBRARY}" rpmReadConfigFiles "" HAVE_RPMREADCONFIGFILES)
	check_library_exists("${RPM_LIBRARY}" headerFormat "" HAVE_HEADERFORMAT)
	check_library_exists("${RPMIO_LIBRARY}" rpmFreeCrypto "" HAVE_RPMFREECRYPTO)
	check_library_exists("${RPM_LIBRARY}" rpmFreeFilesystems "" HAVE_RPMFREEFILESYSTEMS)
	check_library_exists("${RPM_LIBRARY}" rpmVerifyFile "" HAVE_RPMVERIFYFILE)
	set(HAVE_RPMVERCMP 1)
endif()

find_package(SELinux)
find_package(SWIG)
find_package(LibXml2 REQUIRED)
find_package(LibXslt REQUIRED)
find_package(BZip2)

# PThread
if (WIN32)
	find_package(ZLIB REQUIRED)
endif()

if (WIN32 AND NOT MINGW)
	find_package(pthread CONFIG REQUIRED)
	set(CMAKE_THREAD_LIBS_INIT ${PThreads4W_LIBRARY})
else()
	find_package(Threads REQUIRED)
endif()
set(CMAKE_THREAD_PREFER_PTHREAD)
set(THREADS_PREFER_PTHREAD_FLAG)
set(THREADS_USE_PTHREADS_WIN32 TRUE)
check_library_exists(pthread pthread_timedjoin_np "" HAVE_PTHREAD_TIMEDJOIN_NP)
check_library_exists(pthread pthread_setname_np "" HAVE_PTHREAD_SETNAME_NP)
check_library_exists(pthread pthread_getname_np "" HAVE_PTHREAD_GETNAME_NP)

# WITH_CRYPTO
set(WITH_CRYPTO "gcrypt" CACHE STRING "gcrypt|nss3")
if(NOT (${WITH_CRYPTO} EQUAL "nss3"))
	# gcrypt
	find_package(GCrypt)
else()
	# nss3
	find_package(NSS)
endif()
if(GCRYPT_FOUND OR NSS_FOUND)
	set(CRYPTO_FOUND TRUE)
endif()

find_package(Libyaml)
if(EXISTS ${CMAKE_SOURCE_DIR}/yaml-filter/CMakeLists.txt)
	message(STATUS "yaml-filter was found")
	set(YAML_FILTER_FOUND TRUE)
else()
	message(STATUS "yaml-filter was not found")
	set(YAML_FILTER_FOUND FALSE)
endif()

check_library_exists(rt clock_gettime "" HAVE_CLOCK_GETTIME)
check_function_exists(posix_memalign HAVE_POSIX_MEMALIGN)
check_function_exists(memalign HAVE_MEMALIGN)
check_function_exists(fts_open HAVE_FTS_OPEN)
check_function_exists(strsep HAVE_STRSEP)
check_function_exists(strptime HAVE_STRPTIME)

check_include_file(syslog.h HAVE_SYSLOG_H)
check_include_file(stdio_ext.h HAVE_STDIO_EXT_H)
check_include_file(shadow.h HAVE_SHADOW_H)
check_include_file(sys/systeminfo.h HAVE_SYS_SYSTEMINFO_H)
check_include_file(getopt.h HAVE_GETOPT_H)
check_include_file(sys/mman.h HAVE_MMAN_H)
check_include_file(sys/uio.h HAVE_UIO_H)
check_include_file(sys/xattr.h HAVE_SYS_XATTR_H)
check_include_file(attr/xattr.h HAVE_ATTR_XATTR_H)
check_include_files("sys/types.h;sys/extattr.h" HAVE_SYS_EXTATTR_H)

# HAVE_ATOMIC_BUILTINS
check_c_source_compiles("#include <stdint.h>\nint main() {uint16_t foovar=0; uint16_t old=1; uint16_t new=2;__sync_bool_compare_and_swap(&foovar,old,new); return __sync_fetch_and_add(&foovar, 1); __sync_fetch_and_add(&foovar, 1);}" HAVE_ATOMIC_BUILTINS)
if(NOT HAVE_ATOMIC_BUILTINS)
	message(WARNING "!!! Compiler does not support atomic builtins. Atomic operation will be emulated using mutex-based locking. !!!")
endif()

mark_as_advanced(ENV_PRESENT VALGRIND_PRESENT)
find_program(ENV_PRESENT env)
find_program(VALGRIND_PRESENT valgrind)
find_program(ASCIIDOC_EXECUTABLE asciidoc)
find_program(SED_EXECUTABLE sed)
find_program(GIT_EXECUTABLE git)

# ---------- CORE FEATURE SWITCHES
if(WIN32 OR APPLE)
	option(ENABLE_SCE "enables Script Check Engine - an alternative checking engine that lets you use executables instead of OVAL for checks" OFF)
else()
	option(ENABLE_SCE "enables Script Check Engine - an alternative checking engine that lets you use executables instead of OVAL for checks" ON)
endif()

# ---------- OVAL FEATURE SWITCHES

option(ENABLE_PROBES "build OVAL probes - each probe implements an OVAL test" TRUE)
set(SEAP_MSGID_BITS 32 CACHE STRING "Size of SEAP_msgid_t in bits [32|64]")
cmake_dependent_option(ENABLE_PROBES_INDEPENDENT "build OVAL probes for independent (cross platform) OVAL tests" ON "ENABLE_PROBES" OFF)
# On some platforms (Windows..) UNIX ends up being empty instead of "false"
set(IS_UNIX FALSE)
if (UNIX)
    set(IS_UNIX TRUE)
endif()
cmake_dependent_option(ENABLE_PROBES_UNIX "build OVAL probes for the UNIX OVAL tests" ${IS_UNIX} "ENABLE_PROBES" OFF)
string(COMPARE EQUAL ${CMAKE_SYSTEM_NAME} "Linux" IS_LINUX)
cmake_dependent_option(ENABLE_PROBES_LINUX "build OVAL probes for the Linux OVAL tests" ${IS_LINUX} "ENABLE_PROBES" OFF)
string(COMPARE EQUAL ${CMAKE_SYSTEM_NAME} "Solaris" IS_SOLARIS)
cmake_dependent_option(ENABLE_PROBES_SOLARIS "build OVAL probes for the Solaris OVAL tests" ${IS_SOLARIS} "ENABLE_PROBES" OFF)
set(IS_WIN32 FALSE)
if (WIN32)
    set(IS_WIN32 TRUE)
endif()
cmake_dependent_option(ENABLE_PROBES_WINDOWS "build OVAL probes for the Windows OVAL tests" ${IS_WIN32} "ENABLE_PROBES" OFF)

# INDEPENDENT PROBES
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_ENVIRONMENTVARIABLE "Independent environmentvariable probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_ENVIRONMENTVARIABLE58 "Independent environmentvariable58 probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_FAMILY "Independent family probe" ON "ENABLE_PROBES_INDEPENDENT" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_FILEHASH "Independent filehash probe" ON "ENABLE_PROBES_INDEPENDENT; CRYPTO_FOUND; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_FILEHASH58 "Independent filehash58 probe" ON "ENABLE_PROBES_INDEPENDENT; CRYPTO_FOUND; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_SQL "Independent sql probe" ON "ENABLE_PROBES_INDEPENDENT; OPENDBX_FOUND; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_SQL57 "Independent sql57 probe" ON "ENABLE_PROBES_INDEPENDENT; OPENDBX_FOUND; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_SYSTEM_INFO "Independent system info probe" ON "ENABLE_PROBES_INDEPENDENT" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_TEXTFILECONTENT "Independent textfilecontent probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_TEXTFILECONTENT54 "Independent textfilecontent54 probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_VARIABLE "Independent variable probe" ON "ENABLE_PROBES_INDEPENDENT" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_XMLFILECONTENT "Independent xmlfilecontent probe" ON "ENABLE_PROBES_INDEPENDENT; NOT WIN32" OFF)
cmake_dependent_option(OPENSCAP_PROBE_INDEPENDENT_YAMLFILECONTENT "Independent yamlfilecontent probe" ON "ENABLE_PROBES_INDEPENDENT; LIBYAML_FOUND; YAML_FILTER_FOUND; NOT WIN32" OFF)

# UNIX PROBES
cmake_dependent_option(OPENSCAP_PROBE_UNIX_DNSCACHE "Unix dnscache probe" ON "ENABLE_PROBES_UNIX" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_FILE "Unix file probe" ON "ENABLE_PROBES_UNIX" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_FILEEXTENDEDATTRIBUTE "Unix fileextendedattribute probe" ON "ENABLE_PROBES_UNIX; HAVE_SYS_XATTR_H OR HAVE_ATTR_XATTR_H OR HAVE_SYS_EXTATTR_H" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_GCONF "Unix gconf probe" ON "ENABLE_PROBES_UNIX; GCONF_FOUND" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_INTERFACE "Unix interface probe" ON "ENABLE_PROBES_UNIX" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_PASSWORD "Unix password probe" ON "ENABLE_PROBES_UNIX" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_PROCESS "Unix process probe" ON "ENABLE_PROBES_UNIX" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_PROCESS58 "Unix process58 probe" ON "ENABLE_PROBES_UNIX; CAP_FOUND" OFF)
cmake_dependent_option(OPENSCAP_PROBE_UNIX_ROUTINGTABLE "Unix routingtable probe" ON "ENABLE_PROBES_UNIX" OFF)

=== schemas/CMakeLists.txt ===
install(DIRECTORY arf common cpe cve ocil oval sce sds xccdf
	DESTINATION ${OSCAP_DEFAULT_SCHEMA_PATH})

## openscap 0.6.6

=== debian/changelog ===
openscap (0.6.6-1) unstable; urgency=low

  * Imported Upstream version 0.6.6
  * Drop patch 10_fix_dpkginfo, merged upstream
  * Add pkgconfig file to dev package

 -- Pierre Chifflier <pollux@debian.org>  Wed, 15 Dec 2010 09:51:48 +0100

openscap (0.6.4-2) unstable; urgency=low

  * Add libxslt1-dev to build-deps (Closes: #603766)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 17 Nov 2010 10:45:47 +0100

openscap (0.6.4-1) unstable; urgency=low

  * Imported Upstream version 0.6.4
  * Switch to dpkg-source 3.0 (quilt) format
  * Add patch 10_fix_dpkginfo to fix build error for dpkginfo probe
  * Apply patch from Bilal Akhtar to fix build on Ubuntu (Closes:
    #596666)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 16 Nov 2010 15:34:37 +0100

openscap (0.5.12-3) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD (Closes: #592486)
  * Bump standards version to 3.9.1

 -- Pierre Chifflier <pollux@debian.org>  Thu, 12 Aug 2010 10:02:20 +0200

openscap (0.5.12-2) unstable; urgency=low

  * Add libgcrypt11-dev to build-deps (Closes: #588091)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 05 Jul 2010 00:48:04 +0200

openscap (0.5.12-1) unstable; urgency=low

  * Imported Upstream version 0.5.12
  * Update watch file
  * oscap-scan was renamed to oscap
  * Bump Standards version to 3.9.0

 -- Pierre Chifflier <pollux@debian.org>  Sun, 04 Jul 2010 16:49:58 +0200

openscap (0.5.8-1) unstable; urgency=low

  * Imported Upstream version 0.5.8

 -- Pierre Chifflier <pollux@debian.org>  Mon, 05 Apr 2010 22:07:11 +0200

openscap (0.5.7-1) unstable; urgency=low

  * Imported Upstream version 0.5.7
  * Update watch URL
  * Add libcurl-dev and libapt-pkg-dev to build-deps
  * Bump standards version to 3.8.4
  * Install probes in /usr/lib/openscap
  * Apply patch to fix FTBFS on kfreebsd (Closes: #570277)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 28 Feb 2010 10:08:23 +0100

openscap (0.5.6-1) unstable; urgency=low

  * New upstream release:
    - OVAL API has been extended
    - OVAL doxygen documentation is available
    - migration to new checking mechanism is completed
    - new logging and error propagating mechanism
    - many many bugfixes + defensive code
  * Fix lintian warning debhelper-but-no-misc-depends
    (libopenscap-dev, libopenscap0-dbg)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 04 Jan 2010 20:53:30 +0100

openscap (0.5.5-1) unstable; urgency=low

  * Add libnl-dev and pkg-config to build-deps
  * Enable building OVAL bindings and probes
  * New upstream release:
    - many fixes in OVAL
    - new system_info probe in OVAL
    - CVE is re-implemented
    - migration to improved testing mechanism has begun (see CPE)
    - bindings are merged into single module called openscap

 -- Pierre Chifflier <pollux@debian.org>  Thu, 17 Dec 2009 11:25:59 +0100

openscap (0.5.4-1) unstable; urgency=low

  * New upstream release:
    - new CPE model
    - evaluation of set objects and system characteristic output
    - implementation of variable model
    - bindings clean up
    - probes tune up, memory leaks fixes

 -- Pierre Chifflier <pollux@debian.org>  Tue, 27 Oct 2009 09:46:49 +0100

openscap (0.5.3-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.8.3
  * Change libopenscap0-dbg section to debug
  * Add binary package for Perl bindings

 -- Pierre Chifflier <pollux@debian.org>  Tue, 13 Oct 2009 09:51:23 +0200

openscap (0.1.4-1) unstable; urgency=low

  * Initial release (Closes: #522265)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 02 Apr 2009 10:30:16 +0200

=== debian/control ===
Source: openscap
Priority: extra
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 7),
    autotools-dev,
    libpcre3-dev,
    libxml2-dev,
    libxslt1-dev,
    swig,
    python-all-dev, python-support (>= 0.5.3),
    libperl-dev,
    libnl-dev [!kfreebsd-i386 !kfreebsd-amd64],
    libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl-dev,
    libgcrypt11-dev,
    libapt-pkg-dev,
    pkg-config
XS-Python-Version: all
Standards-Version: 3.9.1
Section: libs
Homepage: http://www.open-scap.org/

Package: libopenscap-dev
Section: libdevel
Architecture: any
Depends: libopenscap0 (= ${binary:Version}), ${misc:Depends}
Description: Set of libraries enabling integration of the SCAP line of standards
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the development files for OpenSCAP.

Package: libopenscap0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Set of libraries enabling integration of the SCAP line of standards
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)

Package: python-openscap
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libopenscap0 (= ${binary:Version})
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Set of libraries enabling integration of the SCAP line of standards
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the Python bindings for OpenSCAP.

Package: libopenscap-perl
Section: perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libopenscap0 (= ${binary:Version})
Description: Set of libraries enabling integration of the SCAP line of standards
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the Perl bindings for OpenSCAP.

Package: libopenscap0-dbg
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, libopenscap0 (= ${binary:Version}), ${misc:Depends}
Description: Set of libraries enabling integration of the SCAP line of standards
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Vulnerabilities and Exposures (CVE)
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Common Vulnerability Scoring System (CVSS)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains debugging symbols for OpenSCAP.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif


PYVERS=$(shell pyversions -vr)

configure_flags= $(CROSS) --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--libexecdir=\$${prefix}/lib \
		CFLAGS="$(CFLAGS)"

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(configure_flags)
# LDFLAGS="-Wl,-z,defs"

build-%/configure-stamp: configure
	dh_testdir
	mkdir -p build-$*
	cd build-$* && \
		PYTHON=`which python$*` CFLAGS="$(CFLAGS)" \
			$(CURDIR)/configure $(configure_flags)
	touch $@

build-%/build-stamp: build-%/configure-stamp
	dh_testdir
	$(MAKE) -C build-$*
	touch $@

build: $(PYVERS:%=build-%/build-stamp)

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -Rf build-*

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install-clean:
	dh_testdir
	dh_testroot
	dh_prep

install-%: build-%/build-stamp
	dh_testdir
	dh_testroot
	$(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/tmp
	dh_installdirs

install: $(PYVERS:%=install-%)

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install --list-missing --sourcedir=debian/tmp
	dh_installman
	dh_link
	dh_strip --dbg-package=libopenscap0-dbg
	dh_compress
	dh_fixperms
	dh_perl
	dh_pysupport
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## openscap 0.7.3

=== debian/changelog ===
openscap (0.7.3-1) unstable; urgency=low

  * Imported Upstream version 0.7.3
  * Add schema files (oval and xccdf)
  * Enable hardening wrapper
  * Bump Standards Version to 3.9.2
  * Add 003_fix_format_string.patch to fix printf misuse

 -- Pierre Chifflier <pollux@debian.org>  Sun, 26 Jun 2011 19:36:22 +0200

openscap (0.7.2-1) unstable; urgency=low

  * Imported Upstream version 0.7.2
  * Refresh quilt patches
  * Fix FTBFS on kfreebsd-*: conflicting types for 'probe_main'
    (Closes: #621881)
  * Remove .la files (Closes: #622483)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 26 Apr 2011 21:03:43 +0200

openscap (0.7.1-1) unstable; urgency=low

  * Imported Upstream version 0.7.1
  * No more conversions between pointer and integer detected (Closes: #588255)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 28 Mar 2011 13:07:40 +0200

openscap (0.6.6-2) unstable; urgency=low

  * Fix FTBFS on kfreebsd-*: error: storage size of 'si' isn't known
    (Closes: #609771)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 12 Jan 2011 14:35:07 +0100

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,10 @@
     libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl-dev,
     libgcrypt11-dev,
     libapt-pkg-dev,
-    pkg-config
+    pkg-config,
+    hardening-wrapper
 XS-Python-Version: all
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://www.open-scap.org/

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_HARDENING=1
 
 
 # These are used for cross-compiling and for saving the configure script
@@ -86,6 +88,7 @@
 	dh_testdir
 	dh_testroot
 	$(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/tmp
+	find $(CURDIR)/debian/tmp -name '*.la' -delete
 	dh_installdirs
 
 install: $(PYVERS:%=install-%)

## openscap 0.8.0

=== debian/changelog ===
openscap (0.8.0-4ubuntu1) raring; urgency=low

  * Conditionalised gets(3) check, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 19 Apr 2013 22:31:31 -0400

openscap (0.8.0-4build1) precise; urgency=low

  * Rebuild for latest libapt.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 30 Jan 2012 17:27:14 +0100

openscap (0.8.0-4) unstable; urgency=low

  * Also mark libcap-dev as Linux only to fix build on kfreebsd
    (Closes: #649063)

 -- Pierre Chifflier <pollux@debian.org>  Fri, 18 Nov 2011 20:03:49 +0100

openscap (0.8.0-3) unstable; urgency=low

  * Use [linux-any] to mark linux-only build dependencies
    (Closes: #634689, #649063)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 17 Nov 2011 21:36:07 +0100

openscap (0.8.0-2) unstable; urgency=low

  * Add proper Conflicts/Replaces lines for libopenscap0 (Closes: #645612)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 17 Oct 2011 21:11:55 +0200

openscap (0.8.0-1) unstable; urgency=low

  * Imported Upstream version 0.8.0
  * Refreshed quilt patches:
    - Removed 002_invalid_prototype_probe_process.patch and
      003_fix_format_string.patch, merged upstream
    - Added 004_format_security.patch
    - Re-run autoconf to fix dpkg probe detection, put result
      in 005_configure_dpkg_probe.patch
  * Update package name to libopenscap1 to reflect ABI change
  * Replace copy of jquery.js file by symlink in documentation
  * Add libselinux1-dev, libcap-dev, libattr1-dev to build-deps

 -- Pierre Chifflier <pollux@debian.org>  Thu, 13 Oct 2011 23:02:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: openscap
 Priority: extra
-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 7),
     autotools-dev,
     libpcre3-dev,
@@ -9,10 +10,13 @@
     swig,
     python-all-dev, python-support (>= 0.5.3),
     libperl-dev,
-    libnl-dev [!kfreebsd-i386 !kfreebsd-amd64],
+    libnl-dev [linux-any],
     libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl-dev,
     libgcrypt11-dev,
     libapt-pkg-dev,
+    libselinux1-dev [linux-any],
+    libcap-dev [linux-any],
+    libattr1-dev,
     pkg-config,
     hardening-wrapper
 XS-Python-Version: all
@@ -23,7 +27,7 @@
 Package: libopenscap-dev
 Section: libdevel
 Architecture: any
-Depends: libopenscap0 (= ${binary:Version}), ${misc:Depends}
+Depends: libopenscap1 (= ${binary:Version}), ${misc:Depends}, libjs-jquery
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -41,9 +45,11 @@
  .
  This package contains the development files for OpenSCAP.
 
-Package: libopenscap0
+Package: libopenscap1
 Section: libs
 Architecture: any
+Conflicts: libopenscap0
+Replaces: libopenscap0
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
@@ -63,7 +69,7 @@
 Package: python-openscap
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libopenscap0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libopenscap1 (= ${binary:Version})
 XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Description: Set of libraries enabling integration of the SCAP line of standards
@@ -86,7 +92,7 @@
 Package: libopenscap-perl
 Section: perl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libopenscap0 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libopenscap1 (= ${binary:Version})
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -104,10 +110,12 @@
  .
  This package contains the Perl bindings for OpenSCAP.
 
-Package: libopenscap0-dbg
+Package: libopenscap1-dbg
 Section: debug
 Architecture: any
-Depends: ${shlibs:Depends}, libopenscap0 (= ${binary:Version}), ${misc:Depends}
+Conflicts: libopenscap0-dbg
+Replaces: libopenscap0-dbg
+Depends: ${shlibs:Depends}, libopenscap1 (= ${binary:Version}), ${misc:Depends}
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of

=== debian/watch ===
# watch control file for uscan
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.open-scap.org/download/openscap-(.*)\.tar\.gz

## openscap 0.9.8

=== debian/changelog ===
openscap (0.9.8-1) unstable; urgency=low

  * Imported Upstream version 0.9.8
  * Add patch to guard linux-specific code (Closes: #710906)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 04 Jul 2013 14:40:39 +0200

openscap (0.9.7-1) unstable; urgency=low

  * Imported Upstream version 0.9.7
  * Add libldap2-dev to build depends
  * This version builds fine with eglibc 2.17 and gcc 4.8 (Closes: #701409)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 02 Jun 2013 11:20:22 +0200

openscap (0.9.4.1-1) unstable; urgency=low

  * Update watch file
  * Imported Upstream version 0.9.4.1
  * This version does not require libnl anymore (Closes: #688172)
  * Bump Standards Version to 3.9.4
  * Rename openscap1* packages to openscap3 to reflect ABI/API change
  * Refreshed quilt patches
  * New quilt patch: fix build of dpkg probe
  * New quilt patch: fix installation of schema files in automake scripts
  * Switch to DH version 9, enable multiarch support and hardening flags

 -- Pierre Chifflier <pollux@debian.org>  Mon, 20 May 2013 11:42:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openscap
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
-Build-Depends: debhelper (>= 7),
+Maintainer: Pierre Chifflier <pollux@debian.org>
+Build-Depends: debhelper (>= 9),
     autotools-dev,
     libpcre3-dev,
     libxml2-dev,
@@ -10,24 +9,24 @@
     swig,
     python-all-dev, python-support (>= 0.5.3),
     libperl-dev,
-    libnl-dev [linux-any],
     libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl-dev,
     libgcrypt11-dev,
     libapt-pkg-dev,
     libselinux1-dev [linux-any],
     libcap-dev [linux-any],
     libattr1-dev,
+    libldap2-dev,
     pkg-config,
-    hardening-wrapper
+    dh-autoreconf
 XS-Python-Version: all
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://www.open-scap.org/
 
 Package: libopenscap-dev
 Section: libdevel
 Architecture: any
-Depends: libopenscap1 (= ${binary:Version}), ${misc:Depends}, libjs-jquery
+Depends: libopenscap3 (= ${binary:Version}), ${misc:Depends}, libjs-jquery
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -45,11 +44,12 @@
  .
  This package contains the development files for OpenSCAP.
 
-Package: libopenscap1
+Package: libopenscap3
 Section: libs
 Architecture: any
-Conflicts: libopenscap0
-Replaces: libopenscap0
+Conflicts: libopenscap0, libopenscap1
+Replaces: libopenscap0, libopenscap1
+Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
@@ -69,7 +69,7 @@
 Package: python-openscap
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libopenscap1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libopenscap3 (= ${binary:Version})
 XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Description: Set of libraries enabling integration of the SCAP line of standards
@@ -92,7 +92,7 @@
 Package: libopenscap-perl
 Section: perl
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libopenscap1 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libopenscap3 (= ${binary:Version})
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -110,12 +110,12 @@
  .
  This package contains the Perl bindings for OpenSCAP.
 
-Package: libopenscap1-dbg
+Package: libopenscap3-dbg
 Section: debug
 Architecture: any
 Conflicts: libopenscap0-dbg
 Replaces: libopenscap0-dbg
-Depends: ${shlibs:Depends}, libopenscap1 (= ${binary:Version}), ${misc:Depends}
+Depends: ${shlibs:Depends}, libopenscap3 (= ${binary:Version}), ${misc:Depends}
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEFAULTPY=$(shell pyversions -v -d)
PYVERSIONS=$(shell pyversions -v -r)
ALLPY=$(PYVERSIONS)

override_dh_auto_test:
	# disable tests until they work as expected
	:

override_dh_auto_configure: $(ALLPY:%=override_dh_auto_configure-%)

override_dh_auto_configure-%:
	dh_auto_configure -Bbuild-python-$* -- --enable-perl PYTHON=/usr/bin/python$*

override_dh_auto_build: $(ALLPY:%=override_dh_auto_build-%)

override_dh_auto_build-%:
	dh_auto_build -Bbuild-python-$*

override_dh_auto_install: $(ALLPY:%=override_dh_auto_install-%)
	find debian/tmp -name "*.la" -delete
	rm -f debian/libopenscap-dev/usr/share/doc/libopenscap-dev/html/jquery.js

override_dh_auto_install-%:
	dh_auto_install -Bbuild-python-$* --destdir=debian/tmp

override_dh_strip:
	dh_strip -plibopenscap3 --dbg-package=libopenscap3-dbg
	dh_strip -ppython-openscap --dbg-package=libopenscap3-dbg
	dh_strip -plibopenscap-perl --dbg-package=libopenscap3-dbg

override_dh_auto_clean:
	rm -rf build-*

%:
	dh $@ --with autotools-dev,autoreconf,python2

## openscap 1.0.2

=== debian/changelog ===
openscap (1.0.2-1) unstable; urgency=low

  * Imported Upstream version 1.0.2
  * Refreshed quilt patches
    Removed 004_format_security.patch, merged upstream

 -- Pierre Chifflier <pollux@debian.org>  Mon, 13 Jan 2014 13:41:53 +0100

openscap (1.0.1-2) unstable; urgency=low

  * Add conflicts/replaces on libopenscap3 (Closes: #733589)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 30 Dec 2013 09:19:41 +0100

openscap (1.0.1-1) unstable; urgency=low

  * Imported Upstream version 1.0.1
  * Refreshed quilt patches
  * Bump Standards Version to 3.9.5
  * Rename libopenscap3 to libopenscap8 to reflect soname change

 -- Pierre Chifflier <pollux@debian.org>  Sat, 28 Dec 2013 21:27:36 +0100

openscap (0.9.12-1) unstable; urgency=low

  * Imported Upstream version 0.9.12
  * Refreshed quilt patches

 -- Pierre Chifflier <pollux@debian.org>  Sun, 06 Oct 2013 22:01:45 +0200

openscap (0.9.8-2) unstable; urgency=low

  * Mark package linux-any (Closes: #721862)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 09 Sep 2013 09:55:14 +0200

=== debian/control ===
--- 
+++ 
@@ -19,14 +19,14 @@
     pkg-config,
     dh-autoreconf
 XS-Python-Version: all
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: http://www.open-scap.org/
 
 Package: libopenscap-dev
 Section: libdevel
-Architecture: any
-Depends: libopenscap3 (= ${binary:Version}), ${misc:Depends}, libjs-jquery
+Architecture: linux-any
+Depends: libopenscap8 (= ${binary:Version}), ${misc:Depends}, libjs-jquery
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -44,11 +44,11 @@
  .
  This package contains the development files for OpenSCAP.
 
-Package: libopenscap3
+Package: libopenscap8
 Section: libs
-Architecture: any
-Conflicts: libopenscap0, libopenscap1
-Replaces: libopenscap0, libopenscap1
+Architecture: linux-any
+Conflicts: libopenscap0, libopenscap1, libopenscap3
+Replaces: libopenscap0, libopenscap1, libopenscap3
 Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Set of libraries enabling integration of the SCAP line of standards
@@ -68,8 +68,8 @@
 
 Package: python-openscap
 Section: python
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libopenscap3 (= ${binary:Version})
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, libopenscap8 (= ${binary:Version})
 XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Description: Set of libraries enabling integration of the SCAP line of standards
@@ -91,8 +91,8 @@
 
 Package: libopenscap-perl
 Section: perl
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libopenscap3 (= ${binary:Version})
+Architecture: linux-any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, libopenscap8 (= ${binary:Version})
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of
@@ -110,12 +110,12 @@
  .
  This package contains the Perl bindings for OpenSCAP.
 
-Package: libopenscap3-dbg
+Package: libopenscap8-dbg
 Section: debug
-Architecture: any
+Architecture: linux-any
 Conflicts: libopenscap0-dbg
 Replaces: libopenscap0-dbg
-Depends: ${shlibs:Depends}, libopenscap3 (= ${binary:Version}), ${misc:Depends}
+Depends: ${shlibs:Depends}, libopenscap8 (= ${binary:Version}), ${misc:Depends}
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path
  for integration of the SCAP line of standards. SCAP is a line of

## openscap 1.0.9

=== debian/changelog ===
openscap (1.0.9-1) unstable; urgency=medium

  * Imported Upstream version 1.0.4
  * Imported Upstream version 1.0.9 (Closes: #750702)
  * Refreshed quilt patches
  * Remove useless build-deps on python-support
  * Get Perl directories from the 'Config' module (Closes: #752801)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 29 Jun 2014 16:20:07 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
     libxml2-dev,
     libxslt1-dev,
     swig,
-    python-all-dev, python-support (>= 0.5.3),
+    python-all-dev,
     libperl-dev,
     libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl-dev,
     libgcrypt11-dev,
@@ -17,7 +17,8 @@
     libattr1-dev,
     libldap2-dev,
     pkg-config,
-    dh-autoreconf
+    dh-autoreconf,
+    dh-python
 XS-Python-Version: all
 Standards-Version: 3.9.5
 Section: libs

## openscap 1.2.3

=== debian/changelog ===
openscap (1.2.3-1build2) wily; urgency=medium

  * No-change rebuild against libapt-pkg4.16

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Oct 2015 16:28:10 +0200

openscap (1.2.3-1build1) wily; urgency=medium

  * No-change rebuild against libapt-pkg4.16

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 14 Aug 2015 18:01:21 +0000

openscap (1.2.3-1) unstable; urgency=medium

  * Imported Upstream version 1.2.3
  * Refreshed quilt patches
  * Update build-dep to libgcrypt-dev
  * Bump Standards Version to 3.9.6
  * Add missing source for jQuery minified version (docs/html)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 06 May 2015 08:34:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: openscap
 Priority: extra
-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 9),
     autotools-dev,
     libpcre3-dev,
@@ -10,7 +11,7 @@
     python-all-dev,
     libperl-dev,
     libcurl4-openssl-dev | libcurl4-gnutls-dev | libcurl-dev,
-    libgcrypt11-dev,
+    libgcrypt-dev,
     libapt-pkg-dev,
     libselinux1-dev [linux-any],
     libcap-dev [linux-any],
@@ -20,7 +21,7 @@
     dh-autoreconf,
     dh-python
 XS-Python-Version: all
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://www.open-scap.org/

## openscap 1.2.8

=== debian/changelog ===
openscap (1.2.8-1) unstable; urgency=medium

  * Imported Upstream version 1.2.8

 -- Pierre Chifflier <pollux@debian.org>  Thu, 21 Jan 2016 11:55:39 +0100

openscap (1.2.7-1) unstable; urgency=medium

  * Imported Upstream version 1.2.7
  * Add libbz2-dev to build-deps
  * Refreshed quilt patches, removed 005_configure_dpkg_probe (fixed upstream)

 -- Pierre Chifflier <pollux@debian.org>  Sun, 06 Dec 2015 17:48:42 +0100

openscap (1.2.5-1) unstable; urgency=medium

  * Imported Upstream version 1.2.5
  * Use misc:pre-depends for multiarch-support

 -- Pierre Chifflier <pollux@debian.org>  Sat, 26 Sep 2015 10:26:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: openscap
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Pierre Chifflier <pollux@debian.org>
 Build-Depends: debhelper (>= 9),
     autotools-dev,
     libpcre3-dev,
@@ -17,6 +16,7 @@
     libcap-dev [linux-any],
     libattr1-dev,
     libldap2-dev,
+    libbz2-dev,
     pkg-config,
     dh-autoreconf,
     dh-python
@@ -51,7 +51,7 @@
 Architecture: linux-any
 Conflicts: libopenscap0, libopenscap1, libopenscap3
 Replaces: libopenscap0, libopenscap1, libopenscap3
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Set of libraries enabling integration of the SCAP line of standards
  OpenSCAP is a set of open source libraries providing an easier path

=== debian/watch ===
--- 
+++ 
@@ -5,5 +5,5 @@
 # Compulsory line, this is a version 3 file
 version=3
 
-http://www.open-scap.org/download/openscap-(.*)\.tar\.gz
+https://fedorahosted.org/releases/o/p/openscap/ openscap-(.*)\.tar\.gz

## openscap 1.2.9

=== debian/changelog ===
openscap (1.2.9-1) unstable; urgency=medium

  * Update watch file (project is now on github)
  * Imported Upstream version 1.2.9
  * Update docs path (html version removed)
  * Bump Standards Version to 3.9.8

 -- Pierre Chifflier <pollux@debian.org>  Tue, 26 Apr 2016 10:45:02 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
     dh-autoreconf,
     dh-python
 XS-Python-Version: all
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.open-scap.org/

=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,9 @@
 	dh_auto_install -Bbuild-python-$* --destdir=debian/tmp
 
 override_dh_strip:
-	dh_strip -plibopenscap3 --dbg-package=libopenscap3-dbg
-	dh_strip -ppython-openscap --dbg-package=libopenscap3-dbg
-	dh_strip -plibopenscap-perl --dbg-package=libopenscap3-dbg
+	dh_strip -plibopenscap8 --dbg-package=libopenscap8-dbg
+	dh_strip -ppython-openscap --dbg-package=libopenscap8-dbg
+	dh_strip -plibopenscap-perl --dbg-package=libopenscap8-dbg
 
 override_dh_auto_clean:
 	rm -rf build-*

## openscap 1.2.14

=== debian/changelog ===
openscap (1.2.14-1build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:12:03 +0000

openscap (1.2.14-1) unstable; urgency=medium

  * Imported Upstream version 1.2.10
  * New upstream version 1.2.14 (Closes: #848108)
  * Enable Script Check Engine (SCE) (Closes: #852826, #853180)
  * Add libdbus-1-dev to build-deps (Closes: #853995)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 05 Jul 2017 12:55:58 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
     libbz2-dev,
     pkg-config,
     dh-autoreconf,
-    dh-python
+    dh-python,
+    libdbus-1-dev
 XS-Python-Version: all
 Standards-Version: 3.9.8
 Section: libs
